## mumble 1.2.4

=== sbcelt-src/Makefile ===
# Copyright (C) 2012 The SBCELT Developers. All rights reserved.
# Use of this source code is governed by a BSD-style license
# that can be found in the LICENSE-file.

include Make.conf

.PHONY: default
default:
	$(MAKE) -C lib
	$(MAKE) -C helper
	$(MAKE) -C bench-celt
	$(MAKE) -C bench-sbcelt

.PHONY: clean
clean:
	$(MAKE) -C lib clean
	$(MAKE) -C helper clean
	$(MAKE) -C bench-celt clean
	$(MAKE) -C bench-sbcelt clean
	@cd test && ./clean.bash

.PHONY: test
test:
	@cd test && ./run.bash

=== sbcelt-src/helper/Makefile ===
include ../Make.conf

CFLAGS = -O2 -DHAVE_CONFIG_H -I. -I.. -I../lib -I../celt-0.7.0/libcelt/
LDFLAGS = -lm -lpthread

CELT = ../celt-0.7.0/libcelt
TARGET = sbcelt-helper

SOURCES = \
	$(CELT)/bands.c \
	$(CELT)/celt.c \
	$(CELT)/cwrs.c \
	$(CELT)/entcode.c \
	$(CELT)/entdec.c \
	$(CELT)/entenc.c \
	$(CELT)/header.c \
	$(CELT)/kiss_fft.c \
	$(CELT)/kiss_fftr.c \
	$(CELT)/laplace.c \
	$(CELT)/mdct.c \
	$(CELT)/modes.c \
	$(CELT)/pitch.c \
	$(CELT)/psy.c \
	$(CELT)/quant_bands.c \
	$(CELT)/rangedec.c \
	$(CELT)/rangeenc.c \
	$(CELT)/rate.c \
	$(CELT)/vq.c \
	sbcelt-helper.c \
	alloc.c

ifeq ($(shell uname -s),Linux)
SOURCES += \
	../lib/futex-linux.c \
	seccomp-sandbox.c \
	sbcelt-sandbox-linux.c \
	pdeath-linux.c
LDFLAGS += -lrt
endif

ifeq ($(shell uname -s),Darwin)
CFLAGS += -Wno-deprecated-declarations
SOURCES += \
	../lib/futex-stub.c \
	sbcelt-sandbox-darwin.c \
	pdeath-kqueue.c
endif

ifeq ($(shell uname -s),FreeBSD)
SOURCES += \
	../lib/futex-freebsd.c \
	sbcelt-sandbox-freebsd.c \
	pdeath-kqueue.c
endif

include ../Make.cmd

## mumble 1.2.2

=== debian/changelog ===
mumble (1.2.2-6+squeeze2) squeeze-lts; urgency=medium

  * Add patch 0006-fix-CVE-2014-3755.patch (ported for mumble in squeeze)
       http://mumble.info/security/Mumble-SA-2014-005.txt
    SVG images with local file references could trigger client DoS
    Closes: #748189, CVE-2014-3755
  * Add patch 0007-fix-CVE-2014-3756.patch (ported for mumble in squeeze)
       http://mumble.info/security/Mumble-SA-2014-006.txt
    The Mumble client did not properly HTML-escape some external strings
    before using them in a rich-text (HTML) context.
    Closes: #748189, CVE-2014-3756

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 25 Dec 2015 03:06:55 -0500

mumble (1.2.2-6+squeeze1) stable-security; urgency=high

  * Add patch 0005-set-file-permissions from Marc Deslauriers, which fixes the
    word readable file permissions of the Mumble SQLite database, as described
    in CVE-2012-0863.
    Closes: #659039

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 17 Feb 2012 14:13:34 +0100

mumble (1.2.2-6) unstable; urgency=high

  * Delete /var/lib/mumble-server on purge.
  * Do not make /etc/mumble-server.ini world readable.
    Closes: #609919

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Jan 2011 21:29:40 +0100

mumble (1.2.2-5) unstable; urgency=low

  * Update fuzzy spanish debconf translation. Thanks to Omar Campagne Polaino.
    Closes: #590442
  * Downgrade mumble-11x from recommends to suggests.
    Closes: #599661
  * Update Basque translation from Dooteo.
    Closes: #600203
  * Add Norwegian translation from Bjørn Steensrud.
    Closes: #600277
  * Add Italian translation from Vincenzo Campanella.
    Closes: #600440
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Oct 2010 14:41:34 +0200

mumble (1.2.2-4) unstable; urgency=high

  * Fix failure with SQLite with very long 'like' matches.
    Closes: #587713

 -- Thorvald Natvig <thorvald@debian.org>  Mon, 12 Jul 2010 15:11:24 +0200

mumble (1.2.2-3) unstable; urgency=high

  * Remove trailing slash from the mumble-server-web alias.
  * Fix README.Debian from mumble-server-web.
  * Add ExecCGI and a cgi-script handler to the mumble-server-web config.
    Without it, the weblist.cgi code is not executed and directly shown to the
    client. Raising urgency to medium.
  * Include every mumble plugin from release/plugins.
  * Add danish translation from Joe Dalton.
    Closes: #587798
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Jul 2010 18:06:23 +0200

mumble (1.2.2-2) unstable; urgency=low

  [ Thorvald Natvig ]
  * Add patch to compile on kfreebsd
  * Remove path to Router.ice as the path is not stable.
    Closes: #573699
  * Remove README.source ("we use quilt"), as patches are included in
    format 3.0 (quilt).

  [ Patrick Matthäi ]
  * Update vietnamese translation from Clytie Siddall.
    Closes: #569281
  * Do not build depend on quilt.
  * Add 0002-spelling-error.patch, which fixes a spelling error.
  * Add missing blank line to debian/NEWS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 13 Mar 2010 11:47:09 +0100

mumble (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Remove DM-Upload-Allowed, all uploaders are now DD. (Yay!)
  * Fix my email address in Uploaders:
  * Move mumble-server's Recommends: of mumble-server-web to Suggests: and
    remove the Suggests: of mumble.
  * Remove cgi config in mumble-server-web.conf as we no longer ship cgi
    files.

 -- Thorvald Natvig <thorvald@debian.org>  Tue, 09 Feb 2010 17:55:13 +0100

mumble (1.2.2~201002071401-4ab478-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.8.4 (no changes needed).

  [ Debian l10n ]
  * Updated french translation from Steve Petruzzello.
    Closes: #567913

  [ Launchpad Translation ]
  * Hungarian translation from SPeck.

  [ Thorvald Natvig ]
  * Updated po files.
  * New upstream release.

 -- Thorvald Natvig <thorvald@debian.org>  Sun, 07 Feb 2010 15:02:19 +0100

mumble (1.2.1-3) unstable; urgency=low

  [ Thorvald Natvig ]
  * Remove 'ulimit -r' support from defaults and initscript; it's bash-only.
  * Remove debconf for emailfrom, it's been deprecated in the 1.2.x series.
  * Add debconf for use_capabilities; it is needed on servers with load.
  * Add support for upcoming libcelt0-0.

  [ Patrick Matthäi ]
  * Change my odd email address in po/de.po.
  * Build depend on libcap-dev instead of libcap2-dev.

  [ Debian l10n ]
  * Updated swedish translation from Martin Bagge.
    Closes: #564780
  * Updated finnish translation from Esko Arajärvi.
    Closes: #564744
  * Updated russian translation from Yuri Kozlov.
    Closes: #564737
  * Updated german translation from Thomas Mueller.
    Closes: #564932
  * Updated Japanese translation from Masayuki Hamasaki.
  * Updated portuguese translation from Américo Monteiro.
    Closes: #565612
  * Updated czech translation from Miroslav Kure.
    Closes: #565880

 -- Thorvald Natvig <slicer@users.sourceforge.net>  Tue, 19 Jan 2010 19:10:04 +0100

mumble (1.2.1-2) unstable; urgency=low

  * Fix upgrade failure when upgrading mumble-server directly from 1.1.x
    to 1.2.1

 -- Thorvald Natvig <slicer@users.sourceforge.net>  Sat, 09 Jan 2010 19:28:50 +0100

mumble (1.2.1-1) unstable; urgency=low

  * New upstream release.
    * Now detects ipv6only properly.
      Closes: #563365

 -- Thorvald Natvig <slicer@users.sourceforge.net>  Thu, 07 Jan 2010 23:57:54 +0100

mumble (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Thorvald Natvig <slicer@users.sourceforge.net>  Thu, 10 Dec 2009 20:29:29 +0100

mumble (1.2.0~beta2-1) unstable; urgency=low

  [ Thorvald Natvig ]
  * New upstream release.
  * Add celt dependency to binary package; celt is dynamically loaded,
    so isn't picked up by dh_shlibdeps.
  * Add patch to include all directly used libraries.
    Closes: #555758


=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Thorvald Natvig <thorvald@debian.org>
Build-Depends: debhelper (>= 7.0.8), po-debconf,
 libboost-dev (>= 1.36.0), libboost-python-dev (>= 1.36.0),
 libqt4-dev (>= 4.5.0), libqt4-opengl-dev (>= 4.5.0),
 libasound2-dev, libpulse-dev,
 libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
 libssl-dev,
 libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
 ice33-translators | ice32-translators | ice-translators,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
 libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libc6-dev-i386 [amd64], gcc-multilib [amd64]
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
Recommends: speech-dispatcher
Suggests: mumble-server, mumble-11x
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-11x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, lsb-release, mumble (= ${binary:Version})
Description: Low latency VoIP client (1.1.x)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This is the 1.1.x compatible client for Mumble, used to connect to older
 servers.

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dbus, libqt4-sql-sqlite
Suggests: mumble-server-web, mumble-django
Description: Low latency VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list. Administration of murmur is done through
 D-Bus. Example scripts which register new users and list connected users
 through a web page are can be found in the package 'mumble-server-web'.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.

Package: mumble-server-web
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}),
 apache2, exim4 | mail-transport-agent,
 libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl,
 php-zeroc-ice,
 ice33-translators | ice32-translators | ice-translators,
 ice33-slice | ice32-slice | ice-slice
Description: Web scripts for mumble-server
 Murmur (in the package mumble-server) is the VoIP server component for
 Mumble. This package contains web scripts for registering users, uploading
 custom textures and showing a list of currently connected users.

## mumble 1.2.2-1~maemo1

=== debian/changelog ===
mumble (1.2.2-1~maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 12 May 2010 21:12:16 +0200

mumble (1.2.2-1~ppa1~karmic1) karmic; urgency=low

  * New upstream release.
  * Remove DM-Upload-Allowed, all uploaders are now DD. (Yay!)
  * Fix my email address in Uploaders:
  * Move mumble-server's Recommends: of mumble-server-web to Suggests: and
    remove the Suggests: of mumble.
  * Remove cgi config in mumble-server-web.conf as we no longer ship cgi
    files.
  * PPA Upload for Ubuntu karmic

 -- Thorvald Natvig <thorvald@debian.org>  Tue, 09 Feb 2010 17:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,18 @@
 Source: mumble
-Section: sound
+Section: user/network
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Thorvald Natvig <thorvald@debian.org>
-Build-Depends: debhelper (>= 7.0.8), po-debconf,
- libboost-dev (>= 1.36.0), libboost-python-dev (>= 1.36.0),
- libqt4-dev (>= 4.5.0), libqt4-opengl-dev (>= 4.5.0),
- libasound2-dev, libpulse-dev,
- libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
- libssl-dev,
- libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
- ice33-translators | ice32-translators | ice-translators,
- libg15daemon-client-dev,
- libspeechd-dev,
- protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
- libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
- libc6-dev-i386 [amd64], gcc-multilib [amd64]
-Standards-Version: 3.9.1
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64]
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
 
 Package: mumble
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
-Recommends: speech-dispatcher
-Suggests: mumble-server, mumble-11x
+Depends: ${shlibs:Depends}, ${misc:Depends},  libqt4-sql-sqlite, lsb-release
+Recommends: speech-dispatcher, mumble-11x
+Suggests: mumble-server
 Description: Low latency VoIP client
  Mumble is a low-latency, high quality voice chat program for gaming. It
  features noise suppression, automatic gain control and low latency audio
@@ -81,12 +68,7 @@
 
 Package: mumble-server-web
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}),
- apache2, exim4 | mail-transport-agent,
- libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl,
- php-zeroc-ice,
- ice33-translators | ice32-translators | ice-translators,
- ice33-slice | ice32-slice | ice-slice
+Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}), apache2, postfix | mail-transport-agent, libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl, php-zeroc-ice, ice33-translators | ice32-translators | ice-translators, ice33-slice | ice32-slice | ice-slice
 Description: Web scripts for mumble-server
  Murmur (in the package mumble-server) is the VoIP server component for
  Mumble. This package contains web scripts for registering users, uploading

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')

export DH_OPTIONS

#	CONFIG*=release \
#	CONFIG*=symbols \
#	CONFIG*=no-embed-qt-translations \
#	CONFIG*=packaged \
#	DEFINES*=NO_UPDATE_CHECK \
#	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
#	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
#	DEFINES*=HAVE_LIMITS_H \
#	DEFINES*=HAVE_ENDIAN_H \

configure: configure-stamp
configure-stamp: patch
	echo $(DEB_BUILD_ARCH)
	dh_testdir
	qmake-qt4 main.pro \
	CONFIG*=no-g15 \
	CONFIG*=no-ice  \
	CONFIG*=no-overlay \
	CONFIG*=no-embed-qt-translations \
	CONFIG*=no-bundled-speex \
	CONFIG*=no-server \
	CONFIG*=no-update \
	-recursive
	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp

build-arch-stamp: configure-stamp
	$(MAKE) release
ifeq ($(DEB_BUILD_ARCH), amd64)
	(cd overlay_gl && touch overlay.c && $(MAKE) clean && $(MAKE) release DESTDIR_ADD=-32 CFLAGS_ADD=-m32 LFLAGS_ADD=-m32 && $(MAKE) clean)
endif
	touch $@

build-indep: build-indep-stamp

build-indep-stamp:
	#slice2html src/murmur/Murmur.ice --output-dir Ice
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	# Remove files from previous builds.
	[ ! -d gendoc ] || rm -rf Ice
	rm -rf release debug
	[ ! -d release-32 ] || rm -rf release-32
	rm -f $(CURDIR)/debian/mumble-server.logrotate $(CURDIR)/mumble-server.init
	debconf-updatepo
	dh_clean

install: install-indep install-arch

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
	dh_install -i
	# Install and rename web scripts
	install -m 0755 -D ./scripts/weblist.pl $(CURDIR)/debian/mumble-server-web/usr/share/mumble-server-web/www/weblist.cgi

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
	dh_install -s
	# Add Debian files.
	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
	# install mumble files that need to be renamed.
	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini
	# Also install an menu icon for mumble-11x.
	install -m 0644 -D ./icons/mumble.xpm $(CURDIR)/debian/mumble-11x/usr/share/pixmaps/mumble11x.xpm
ifeq ($(DEB_BUILD_ARCH), amd64)
	install -m 0755 -d $(CURDIR)/debian/mumble/usr/lib32/mumble
	cp -dp ./release-32/libmumble.so* $(CURDIR)/debian/mumble/usr/lib32/mumble/
endif

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	#dh_installdocs
	dh_installmenu
	dh_installinit -- defaults 95
	dh_installman
	dh_installlogrotate
	dh_installdebconf
	dh_installexamples
	dh_link
	dh_gconf
	dh_icons
	dh_strip --dbg-package=mumble-dbg
	dh_compress
	dh_fixperms
	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server
	dh_installdeb
	dh_shlibdeps -Xlib32/mumble/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary:	binary-indep binary-arch

get-orig-source:
	wget -O $(SOURCE_DIR)/mumble_$(VERSION).orig.tar.gz http://mumble.info/snapshot/mumble-$(VERSION).tar.gz

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## mumble 1.2.2-1~maemo2

=== debian/changelog ===
mumble (1.2.2-1~maemo2) unstable; urgency=low

  * Menu icon

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 30 May 2010 22:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64]
+Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64], maemo-optify
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

=== debian/rules ===
--- 
+++ 
@@ -118,6 +118,7 @@
 	dh_installdeb
 	dh_shlibdeps -Xlib32/mumble/
 	dh_gencontrol
+	#maemo-optify
 	dh_md5sums
 	dh_builddeb

## mumble 1.2.2-1~maemo3

=== debian/changelog ===
mumble (1.2.2-1~maemo3) unstable; urgency=low

  * Dependency fixed
  * Start script to start without finger-theme

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 31 May 2010 12:57:16 +0200

## mumble 1.2.2-1~maemo4

=== debian/changelog ===
mumble (1.2.2-1~maemo4) unstable; urgency=low

  * Install to /opt/mumble

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 31 May 2010 14:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64], maemo-optify
+Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64], maemo-optify, libcelt0-0
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

## mumble 1.2.2-1~maemo6

=== debian/changelog ===
mumble (1.2.2-1~maemo6) unstable; urgency=low

  * New version of underlaying library (protobuf)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue,  10 Aug 2010 10:51:16 +0200

mumble (1.2.2-1~maemo5) unstable; urgency=low

  * Bug tracker address

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  ,  May 2010 14:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64], maemo-optify, libcelt0-0
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/

=== debian/rules ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	dh_installdirs -s
 	dh_install -s
 	# Add Debian files.
+	install -d $(CURDIR)/debian/opt/mumble
 	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
 	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
 	# install mumble files that need to be renamed.

## mumble 1.2.2-4~maemo1

=== debian/changelog ===
mumble (1.2.2-4~maemo1) unstable; urgency=low

  * Packaging for fremantle
  * Menu icon
  * Install to /opt/mumble
  * Start script to start without finger-theme
  * Bug tracker address (for promoting extras-testing)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 27 Jan 2011 20:40:16 +0200

## mumble 1.2.2-4-maemo1

=== debian/changelog ===
mumble (1.2.2-4-maemo1) unstable; urgency=low

  * Menu icon
  * Install to /opt/mumble
  * Start script to start without finger-theme
  * Bug tracker address (for promoting extras-testing)
  * Removed gl-functions on AudioStats.cpp

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 27 Jan 2011 20:40:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,24 @@
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
-Build-Depends: debhelper (>= 7.0.8), quilt, po-debconf, libboost1.38-dev, libboost-python1.38-dev, libqt4-dev (>= 4.5.0), libasound2-dev, libpulse-dev, libogg-dev, libspeex-dev, libspeexdsp-dev, , libsndfile1-dev, libssl-dev, libspeechd-dev, protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64], libc6-dev-i386 [amd64], gcc-multilib [amd64], maemo-optify, libcelt0-0
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.8), po-debconf,
+ quilt,
+ libboost1.38-dev, libboost-python1.38-dev,
+ libqt4-dev (>= 4.5.0),
+ libasound2-dev, libpulse-dev,
+ libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
+ libssl-dev,
+ libspeechd-dev,
+ protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
+ libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
+ libc6-dev-i386 [amd64], gcc-multilib [amd64]
+Standards-Version: 3.9.0
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
 
 Package: mumble
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},  libqt4-sql-sqlite, lsb-release
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
 Recommends: speech-dispatcher, mumble-11x
 Suggests: mumble-server
 Description: Low latency VoIP client
@@ -69,7 +79,12 @@
 
 Package: mumble-server-web
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}), apache2, postfix | mail-transport-agent, libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl, php-zeroc-ice, ice33-translators | ice32-translators | ice-translators, ice33-slice | ice32-slice | ice-slice
+Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}),
+ apache2, exim4 | mail-transport-agent,
+ libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl,
+ php-zeroc-ice,
+ ice33-translators | ice32-translators | ice-translators,
+ ice33-slice | ice32-slice | ice-slice
 Description: Web scripts for mumble-server
  Murmur (in the package mumble-server) is the VoIP server component for
  Mumble. This package contains web scripts for registering users, uploading

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
+#QUILT include /usr/share/quilt/quilt.make
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 SOURCE_DIR = $(dir $(MAKEFILE))..
@@ -12,29 +12,35 @@
 
 export DH_OPTIONS
 
-#	CONFIG*=release \
-#	CONFIG*=symbols \
-#	CONFIG*=no-embed-qt-translations \
-#	CONFIG*=packaged \
-#	DEFINES*=NO_UPDATE_CHECK \
-#	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
-#	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
-#	DEFINES*=HAVE_LIMITS_H \
-#	DEFINES*=HAVE_ENDIAN_H \
+
+
+
+
+
+
+
+
+
 
 configure: configure-stamp
-configure-stamp: patch
+configure-stamp: #QUILT patch
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
-	qmake-qt4 main.pro \
+	qmake-qt4 -recursive main.pro \
+	CONFIG*=release \
+	CONFIG*=symbols \
+	CONFIG*=no-embed-qt-translations \
+	CONFIG*=packaged \
 	CONFIG*=no-g15 \
 	CONFIG*=no-ice  \
 	CONFIG*=no-overlay \
-	CONFIG*=no-embed-qt-translations \
 	CONFIG*=no-bundled-speex \
 	CONFIG*=no-server \
-	CONFIG*=no-update \
-	-recursive
+	DEFINES*=NO_UPDATE_CHECK \
+	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
+	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
+	DEFINES*=HAVE_LIMITS_H \
+	DEFINES*=HAVE_ENDIAN_H
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -51,10 +57,9 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
-	#slice2html src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
-clean: unpatch
+clean: #QUILT unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
@@ -119,7 +124,6 @@
 	dh_installdeb
 	dh_shlibdeps -Xlib32/mumble/
 	dh_gencontrol
-	#maemo-optify
 	dh_md5sums
 	dh_builddeb

## mumble 1.2.2-4-maemo2

=== debian/changelog ===
mumble (1.2.2-4-maemo2) unstable; urgency=low

  * default: bAskOnQuit=false (Do not suggest minimizing, because it doesn't work)
  * removed 'configure'-'Minimal View' (there are no easy way to get back)
  * Hand tuned dependencies

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 28 Jan 2011 14:36:16 +0200

=== debian/control ===
Source: mumble
Section: user/network
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=147372&atid=768005
Build-Depends: debhelper (>= 7.0.8), po-debconf,
 quilt,
 libboost1.38-dev, libboost-python1.38-dev,
 libqt4-dev (>= 4.5.0),
 libasound2-dev, libpulse-dev,
 libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
 libssl-dev,
 libspeechd-dev,
 protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
 libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libc6-dev-i386 [amd64], gcc-multilib [amd64]
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release,
 libasound2, libavahi-client3, libavahi-common3, libavahi-compat-libdnssd1,
 libpulse0, libqt4-core, libqt4-dbus, libqt4-gui, libqt4-network, libqt4-sql,
 libqt4-svg, libqt4-xml,
 libsndfile1, libspeechd2, libspeex1, libspeexdsp1, libxi6, libqt4-sql-sqlite,
Recommends: speech-dispatcher
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,6 @@
 MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
 
 export DH_OPTIONS
-
-
-
-
-
-
-
-
-
-
 
 configure: configure-stamp
 configure-stamp: #QUILT patch
@@ -117,7 +107,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
-	dh_strip --dbg-package=mumble-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server

## mumble 1.2.2-5-maemo1

=== debian/changelog ===
mumble (1.2.2-5-maemo1) unstable; urgency=low

  * Removed non-used dependencies.
  * Package version renamed (maemo.org uses different lexicographic than maemo5)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 28 Jan 2011 16:08:16 +0200

## mumble 1.2.2-5-maemo2

=== debian/changelog ===
mumble (1.2.2-5-maemo2) unstable; urgency=low

  * Fixed desktop shortcut

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 29 Jan 2011 21:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=147372&atid=768005
 Build-Depends: debhelper (>= 7.0.8), po-debconf,
- quilt,
+ quilt, libssl-dev,
  libboost1.38-dev, libboost-python1.38-dev,
  libqt4-dev (>= 4.5.0),
+ libavahi-compat-libdnssd-dev,
  libasound2-dev, libpulse-dev,
  libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
- libssl-dev,
  libspeechd-dev,
- protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
+ protobuf-compiler, libprotobuf-dev, libxi-dev,
  libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
  libc6-dev-i386 [amd64], gcc-multilib [amd64]
 Standards-Version: 3.9.0
@@ -22,9 +22,11 @@
 Package: mumble
 Architecture: any
 Depends: libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release,
- libasound2, libavahi-client3, libavahi-common3, libavahi-compat-libdnssd1,
+ libssl0.9.8,
+ libasound2, 
+ libavahi-client3, libavahi-common3, libavahi-compat-libdnssd1,
  libpulse0, libqt4-core, libqt4-dbus, libqt4-gui, libqt4-network, libqt4-sql,
- libqt4-svg, libqt4-xml,
+ libqt4-xml,
  libsndfile1, libspeechd2, libspeex1, libspeexdsp1, libxi6, libqt4-sql-sqlite,
 Recommends: speech-dispatcher
 Description: Low latency VoIP client

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,9 @@
 	qmake-qt4 -recursive main.pro \
 	CONFIG*=release \
 	CONFIG*=symbols \
+	CONFIG*=packaged \
 	CONFIG*=no-embed-qt-translations \
-	CONFIG*=packaged \
+	CONFIG*=no-11x \
 	CONFIG*=no-g15 \
 	CONFIG*=no-ice  \
 	CONFIG*=no-overlay \

## mumble 1.2.3

=== debian/changelog ===
mumble (1.2.3-2ubuntu4.1) precise; urgency=low

  * Register mumble:// URL handler mimetype (LP: #934239)

 -- pataquets <pataquets@gmail.com>  Wed, 15 May 2013 21:04:51 +0200

mumble (1.2.3-2ubuntu4) precise; urgency=low

  * New patch, 0005-french-translation-porole, fix typo "porole" instead of
    "parole" in French translation (src/mumble/mumble_fr.ts); fixed upstream
    in SF #3439985.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 28 Feb 2012 18:52:04 +0100

mumble (1.2.3-2ubuntu3) precise; urgency=low

  * debian/patches/0003-fix-cert-validation.patch: Fix certificate
    validation with QT 4.8. For some reason, the new on-demand root cert
    loading is not working with mumble. (LP: #928296)
  * debian/patches/0004-set-file-permissions.patch: Set restrictive
    permissions on data files. (LP: #783405)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Feb 2012 09:53:44 -0500

mumble (1.2.3-2ubuntu2) oneiric; urgency=low

  * No change rebuild for protobuf transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Jun 2011 00:16:21 +0530

mumble (1.2.3-2ubuntu1) oneiric; urgency=low

  * Re-add accidentally dropped change:

  [ Jani Monoses ]
  * debian/control: Explicit b-d on GL development libs, which on armel
    are not pulled in via Qt.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 20 May 2011 09:16:28 +0200

mumble (1.2.3-2) unstable; urgency=low

  * Prefer libboost1.46-dev to libboost-dev.
    Closes: #618092
  * Add patch from Conor Curran to fix PulseAudio role.
    Closes: #615994
  * Add patch from Benjamin Jemlich to remove OpenGL for AudioStats dialog.

 -- Thorvald Natvig <thorvald@debian.org>  Fri, 25 Mar 2011 07:45:13 +0100

mumble (1.2.3-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Do not build with non existant libpulse-dev on hurd-i386.

  [ Thorvald Natvig ]
  * New upstream release.

 -- Thorvald Natvig <thorvald@debian.org>  Sat, 19 Feb 2011 22:58:58 +0100

mumble (1.2.3~rc3-2) unstable; urgency=low

  * Add Ice 3.4 as valid option.

 -- Thorvald Natvig <thorvald@debian.org>  Mon, 14 Feb 2011 04:17:23 +0100

mumble (1.2.3~rc3-1) unstable; urgency=low

  [ Thorvald Natvig ]
  * New upstream release.
  * Add dependency on Ice slice files when building.
  * Add fix from Felix Geyer to work around non-existant mumble-server.ini
    on upgrades.
    Closes: #610608

  [ Patrick Matthäi ]
  * Merge 1.1.4-4+lenny2 and 1.2.2-6 changelog.

 -- Thorvald Natvig <thorvald@debian.org>  Mon, 14 Feb 2011 03:36:18 +0100

mumble (1.1.4-4+lenny2) stable-proposed-updates; urgency=high

  * Change my email address from the deprecated web.de to the debian.de one.
  * Delete /var/lib/mumble-server on purge.
  * Do not make /etc/mumble-server.ini world readable.
    Closes: #609919

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 16 Jan 2011 19:30:19 +0100

=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Thorvald Natvig <thorvald@debian.org>
Build-Depends: debhelper (>= 7.0.8), po-debconf,
 libboost1.46-dev | libboost-dev (>= 1.42.0),
 libboost-python1.46-dev | libboost-python-dev (>= 1.42.0),
 libqt4-dev (>= 4.5.0), libqt4-opengl-dev (>= 4.5.0),
 libgl1-mesa-dev | libgl-dev,
 libasound2-dev, libpulse-dev [!hurd-i386],
 libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
 libssl-dev,
 libzeroc-ice34-dev | libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
 libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libc6-dev-i386 [amd64], gcc-multilib [amd64]
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
Recommends: speech-dispatcher
Suggests: mumble-server, mumble-11x
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-11x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, lsb-release, mumble (= ${binary:Version})
Description: Low latency VoIP client (1.1.x)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This is the 1.1.x compatible client for Mumble, used to connect to older
 servers.

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dbus, libqt4-sql-sqlite
Suggests: mumble-server-web, mumble-django
Description: Low latency VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list. Administration of murmur is done through
 D-Bus. Example scripts which register new users and list connected users
 through a web page are can be found in the package 'mumble-server-web'.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.

Package: mumble-server-web
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, mumble-server (>= ${binary:Version}),
 apache2, exim4 | mail-transport-agent,
 libnet-dbus-perl, libcgi-session-perl, libhtml-template-perl,
 php-zeroc-ice,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice
Description: Web scripts for mumble-server
 Murmur (in the package mumble-server) is the VoIP server component for
 Mumble. This package contains web scripts for registering users, uploading
 custom textures and showing a list of currently connected users.

=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,8 @@
 	qmake-qt4 -recursive main.pro \
 	CONFIG*=release \
 	CONFIG*=symbols \
+	CONFIG*=no-embed-qt-translations \
 	CONFIG*=packaged \
-	CONFIG*=no-embed-qt-translations \
-	CONFIG*=no-11x \
-	CONFIG*=no-g15 \
-	CONFIG*=no-ice  \
-	CONFIG*=no-overlay \
-	CONFIG*=no-bundled-speex \
-	CONFIG*=no-server \
 	DEFINES*=NO_UPDATE_CHECK \
 	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
 	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
@@ -48,6 +42,7 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
+	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
 clean: #QUILT unpatch
@@ -81,7 +76,6 @@
 	dh_installdirs -s
 	dh_install -s
 	# Add Debian files.
-	install -d $(CURDIR)/debian/opt/mumble
 	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
 	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
 	# install mumble files that need to be renamed.
@@ -98,7 +92,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
-	#dh_installdocs
+	dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -108,7 +102,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
-	dh_strip
+	dh_strip --dbg-package=mumble-dbg
 	dh_compress
 	dh_fixperms
 	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server

=== debian/watch ===
version=3
http://sf.net/mumble/mumble-(.*)\.tar\.gz

## mumble 1.2.3-1maemo1

=== debian/changelog ===
mumble (1.2.3-1maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 May 2011 10:00:16 +0200

mumble (1.2.3-1ubuntu6) natty; urgency=low

  * debian/rules: Reenable building of GL-Overlay component on armel.
  * debian/control: Explicit b-d on GL development libs, which on armel
    are not pulled in via Qt.

 -- Jani Monoses <jani@ubuntu.com>  Thu, 31 Mar 2011 14:05:38 +0300

mumble (1.2.3-1ubuntu5) natty; urgency=low

  * debian/rules: Do not build GL overlay component on armel.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 23 Mar 2011 16:08:37 +0200

mumble (1.2.3-1ubuntu4) natty; urgency=low

  * debian/patches/no_arm_gl.patch: Make AudioStats related GL graphics
    a noop on armel, as direct linking to GL conflicts with Qt GLES2 backend.

 -- Jani Monoses <jani@ubuntu.com>  Tue, 22 Mar 2011 12:37:36 +0200

mumble (1.2.3-1ubuntu3) natty; urgency=low

  * Clean new debian source format breakage

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Mar 2011 17:10:43 +0100

mumble (1.2.3-1ubuntu2) natty; urgency=low

  * debian/patches/01_set_pulseaudio_role.patch: updated version, thanks Conor

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Mar 2011 17:06:46 +0100

mumble (1.2.3-1ubuntu1) natty; urgency=low

  * debian/patches/01_set_pulseaudio_role.patch: set the pulseaudio role,
    thanks Conor Curran (lp: #727184)  

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Mar 2011 16:34:38 +0100

=== debian/control ===
Source: mumble
Section: user/network
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.8), po-debconf,
 libboost1.38-dev, libboost-python1.38-dev,
 libqt4-dev (>= 4.5.0),
 libasound2-dev, libpulse-dev [!hurd-i386],
 libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
 libssl-dev,
 libspeechd-dev,
 protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
 libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libc6-dev-i386 [amd64], gcc-multilib [amd64]
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
Recommends: speech-dispatcher
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,16 @@
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
 	qmake-qt4 -recursive main.pro \
+    CONFIG+=no-portaudio \
+    CONFIG+=no-bonjour \
+    CONFIG+=no-xinput2 \
+    CONFIG+=no-bundled-celt \
+	CONFIG*=no-11x \
+	CONFIG*=no-g15 \
+ 	CONFIG*=no-ice  \
+	CONFIG*=no-overlay \
+	CONFIG*=no-bundled-speex \
+	CONFIG*=no-server \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
@@ -42,7 +52,6 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
-	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
 clean: #QUILT unpatch
@@ -76,6 +85,7 @@
 	dh_installdirs -s
 	dh_install -s
 	# Add Debian files.
+	install -d $(CURDIR)/debian/opt/mumble
 	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
 	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
 	# install mumble files that need to be renamed.
@@ -92,7 +102,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
-	dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -102,7 +111,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
-	dh_strip --dbg-package=mumble-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server
